%{?nodejs_find_provides_and_requires}

%global packagename fast-levenshtein
%global enable_tests 1

Name:		nodejs-fast-levenshtein
Version:	1.1.3
Release:	%mkrel 3
Group:          Development/Java
Summary:	Efficient implementation of Levenshtein algorithm

License:	MIT
URL:		https://github.com/hiddentao/fast-levenshtein.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Adjust timeouts on tests
Patch0:		fast-levenshtein_adjust-timeouts.patch


BuildArch:	noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	uglify-js
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(lodash)
%endif

%description
Efficient implementation of Levenshtein algorithm with asynchronous callback
support.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
#
%patch0 -p1


%build
%{_bindir}/uglifyjs levenshtein.js -o levenshtein.min.js

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}




%changelog
* Wed May 17 2017 neoclust <neoclust> 1.1.3-3.mga6
+ Revision: 1102359
- imported package nodejs-fast-levenshtein


* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.3-2
- Fix BuildRequires

* Tue Feb 16 2016 Jared Smith <jsmith@fedoraproject.org> - 1.1.3-1
- Initial packaging
